indexing
   description: "Display a digital clock%
   % implemented as an Observer on CLOCK_TIMER"

class DIGITAL_CLOCK

inherit OBSERVER
		redefine subject end

create make
  -- Inherited, with its signature automatically redefined (co-variantly)

---------------------------
feature {ANY} -- Commands

update is
  -- Draw the clock according to the new status of subject
  do
    io.put_string("Digital display of: ")
    io.put_integer(subject.hour); io.put_character(':')
    io.put_integer(subject.minute); io.put_character(':')
    io.put_integer(subject.second); io.put_new_line
  end

---------------------------
feature {ANY} -- Queries

subject : CLOCK_TIMER

end
